# 日志管理
## 概 述
日志管理可以展示程序运行时所产生的日志，如操作系统和应用程序在启动、运行等过程中的相关信息。用户可以通过该工具从海量日志数据中精确查找关键信息，迅速找出错误原因并解决问题。

![图 1 日志管理-big](image/1.png)
<br>

## 使用介绍
日志管理提供了日志搜索（按关键字）、日志过滤（按日志产生时间或日志级别）、单条日志内容复制、日志文件导出、管理工具页面刷新、对日志文件进行打包设置等功能。选中某一类型的日志，可以根据需要进行操作。
<br>

## 主菜单
在主菜单中，用户可以进行打包设置、使用方法的了解（帮助）、工具信息的查看（关于）、退出应用的操作。
### 打包设置
点击![](image/icon1.png) >“打包设置”，可以打包导出全部日志或者自定义导出需要的日志类型，压缩包支持.zip/.tar.gz/.tar.bz2/.7z四种格式，导出路径和压缩包的名称可以自定义。
![图 2 打包设置-big](image/2.png)
### 帮助
点击![](image/icon1.png) >“帮助”，可以查看日志管理的用户手册，了解其基本功能。
![图 3 帮助-big](image/3.png)
### 关于
点击![](image/icon1.png) >“关于”，弹出窗口，展示日志管理的版本、开发平台等信息。
![图 4 关于-big](image/4.png)
<br>

## 日志管理
### 搜索

- 点击![](image/icon2.png)，输入关键字。

- 输入完成后，界面显示搜索结果；如果没有发现匹配的日志，则显示的内容为空。

- 删除所有关键字，则清空搜索内容。

![图 5 搜索操作-big](image/5.png)
<br/>

### 过滤

过滤的方式包括按周期过滤和按级别过滤。

1. 按周期过滤：按照日志的生成时间进行过滤的方式。选项包括：全部、今日、近三天、近一周、近一个月、近三个月，默认选项为今日。适用类型：除启动日志，其他日志类型都支持按周期过滤。

2. 按级别过滤：按照日志的级别进行过滤的方式，可选择一种级别或多种级别进行过滤。选项包括：全部、紧急、警报、严重、错误、警告、注意、信息，默认选项为全部。适用类型：Systemd日志

### 复制
支持日志内容的复制。选中某条日志点击鼠标左键，便可在对应日志下方的文本框中右键-复制，获取本条日志的全部内容。
![图 6 复制日志内容-big](image/6.png)
### 导出

1. 用户可以将当前日志导出为文件，支持的文件格式有txt、csv、xlsx、html、xml、json。

2. 在日志管理界面，当前日志内容非空时，点击“导出”。

3. 弹出保存文件界面，输入合法的文件名，选择“文件类型”。

4. 点击“保存”，完成操作。

![图 7 导出文件-big](image/7.png)
### 刷新
支持日志内容的实时加载。日志内容变更后，点击![](image/icon3.png)刷新，页面上的日志信息可以同步更新。
<br>

## 系统
### 系统日志

1. 在日志管理界面，点击“系统日志”。

2. 界面显示系统日志列表，显示字段为主机、进程、信息和时间。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 8 系统日志-big](image/8.png)
### Systemd日志

1. 在日志管理界面，点击“Systemd日志”。

2. 界面显示Systemd日志列表，显示字段为等级、主机、错误码、信息和时间。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 9 System日志-big](image/9.png)
### 内核日志

1. 在日志管理界面，点击“内核日志”。

2. 界面显示内核日志列表，显示字段为主机、进程、信息和时间。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 10 内核日志-big](image/10.png)
## 启动
### 启动日志

1. 在日志管理界面，点击“启动日志”。

2. 界面显示启动日志列表，显示字段为状态和信息。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 11 启动日志-big](image/11.png)
### 硬件启动日志

1. 在日志管理界面，点击“硬件启动日志”。

2. 界面显示硬件启动日志列表，显示字段为信息和时间。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 12 硬件启动日志-big](image/12.png)
## 应用程序与服务
### X服务器日志

1. 在日志管理界面，点击“X服务器日志”。

2. 界面显示X服务器日志列表，显示字段为信息和时间。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 13 X服务器日志-big](image/13.png)
### udp共享日志

1. 在日志管理界面，点击“udp共享日志”。

2. 界面显示udp共享日志列表，显示字段为信息和时间。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 14 udp共享日志-big](image/14.png)
### 软件管理日志

1. 在日志管理界面，点击“软件管理日志”。

2. 界面显示软件管理日志列表，显示字段为安装情况、安装内容和时间。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 15 软件管理日志-big](image/15.png)
### 打印失败日志

1. 在日志管理界面，点击“打印失败日志”。

2. 界面显示打印失败日志列表，显示字段为状态、信息和时间。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 16 打印失败日志-big](image/16.png)
### 更新日志

1. 在日志管理界面，点击“更新日志”。

2. 界面显示更新日志列表，显示字段为日志头、选项、内容和时间。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 17 更新日志-big](image/17.png)
### 打印管理日志

1. 在日志管理界面，点击“打印管理日志”。

2. 界面显示打印管理日志列表，显示字段为服务器、协议、状态一、状态二、信息和时间。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 18 打印管理日志-big](image/18.png)
### 共享日志
1. 在日志管理界面，点击“共享日志”。
2. 界面显示共享日志列表，显示字段为信息、状态和时间。
3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。
![图 19 共享日志-big](image/19.png)
## 安全保护
### 认证日志

1. 在日志管理界面，点击“认证日志”。

2. 界面显示认证日志列表，显示字段为主机、进程、信息和时间。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 20 认证日志-big](image/20.png)
### 登录日志

1. 在日志管理界面，点击“登录日志”。

2. 界面显示登录日志列表，显示字段为用户、终端、登录、开始时间、结束时间和持续时间。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 21 登录日志-big](image/21.png)
### 登录失败日志

1. 在日志管理界面，点击“登录失败日志”。

2. 界面显示登录失败日志列表，显示字段为用户名、链接方式、登录IP、开始时间、结束时间和持续时间。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 22 登录失败日志-big](image/22.png)
### kysec日志

1. 在日志管理界面，点击“kysec日志”。

2. 界面显示kysec日志列表，显示字段为类型、进程Id、用户Id、路径、操作、对象、信息和时间。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 23 kysec日志-big](image/23.png)
### 审计日志

1. 在日志管理界面，点击“审计日志”。

2. 界面显示审计日志列表，显示字段为类型、审计信息、消息内容和时间。

3. 当鼠标悬停在某条日志上时，该单元格内容高亮，并显示该日志的详细信息。

![图 24 审计日志-big](image/24.png)
<br>

## 救援模式

日志管理还提供了救援模式，以防无法正常开机时也可以获取到各个日志。

1. 帮助文档

- 打开【终端】，切换目录至“/usr/sbin”，查看救援模式的帮助文档。

- 指令：./logview -h(--help)

2. 日志显示

- 打开【终端】，切换目录至“/usr/sbin”，

- 查看【启动日志】            ./logview -b(--boot-log)

- 查看【系统日志】            ./logview -y(--sys-log)

- 查看【硬件启动日志】  	      ./logview -d(--dmesg-log)

- 查看【认证日志】            ./logview -a(--auth-log)

- 查看【软件管理日志】   	   ./logview -p(--dpkg-log)

- 查看【内核日志】            ./logview -n(--kern-log)

- 查看【登录日志】            ./logview -w(--wtmp-log)

- 查看【审计日志】            ./logview -i(--audit-log)

- 查看【Systemd日志】         ./logview -j(--systemd-log)

- 查看【登录失败日志】	      ./logview -m(--btmp-log)

- 查看【kysec日志】           ./logview -c(--kysec-log)

- 查看【打印管理日志】 		   ./logview -o(--access-log)

- 查看【udp共享日志】        ./logview -u(--udp-log)

- 查看【共享日志】            ./logview -t(--tcp-log)

- 查看【更新日志】            ./logview -v(--alternatives-log)

- 查看【X服务器日志】		    ./logview -x(--xorg-log)

- 查看【打印失败日志】 		    ./logview -r(--error-log)

3. 关键字筛选

- 打开【终端】，切换目录至“/usr/sbin”，筛选一种日志类型中所有包含此关键字的信息。

- 指令：./logview -日志类型 -k "关键字"

4. 按时间筛选

- 打开【终端】，切换目录至“/usr/sbin”，如：

- 筛选【系统日志】中从指定时间开始到当前时间的所有信息。指令： ./logview -y -s xxxx-xx-xx\ xx:xx:xx

- 筛选【系统日志】中截止到指定时间的所有信息。指令： ./logview -y -e xxxx-xx-xx\ xx:xx:xx

- 筛选【系统日志】中某个时间区间内的所有信息。指令：./logview -y -s xxxx-xx-xx\ xx:xx:xx -e xxxx-xx-xx\ xx:xx:xx

5. 按级别筛选
- 打开【终端】，切换目录至“/usr/sbin”，

- 筛选【Systemd日志】从指定级别到【调试】级别的所有信息。 指令：./logview -j -q 级别

- 筛选【Systemd日志】从【紧急】级别到指定级别的所有信息。 指令：./logview -j -l 级别

- 筛选【Systemd日志】中某个级别区间内的所有信息。指令：./logview -j -l 低级别 -q 高级别

6. 打包压缩
-不指定保存路径（默认保存到/tmp），打包压缩所有类型日志文件，切换目录至“/usr/sbin”，
执行指令: ./logview -z(--zip)

- 指定文件保存路径（如/usr/sbin），打包压缩所有类型日志文件，切换目录至“/usr/sbin”，
执行指令：./logview -z/usr/sbin/
<br>

## 跟随系统设置
日志管理默认跟随系统语言、主题设置。
![图 25 深色模式-big](image/25.png)
